{ lib
, config
, pkgs
, ...
}:

let
  cfg = config.my.profiles.webis;
  inherit (lib) mkEnableOption mkIf;
in

{
  options.my.profiles.webis.enable = mkEnableOption "webis profile";

  config = mkIf cfg.enable {
    my.programs = {
      ssh.includeSecrets = [ ../../secrets/webis-ssh.age ];
      jetbrains = {
        pycharm.enable = true;
        pycharm.package = pkgs.jetbrains.pycharm-professional;
      };
    };

    age.secrets.webis = {
      file = ../../secrets/webis.age;
      name = "webis.ovpn";
    };
    services.openvpn.servers = {
      webis = {
        config = "config /run/agenix/webis.ovpn";
        autoStart = false;
        updateResolvConf = true;
      };
    };
    programs.dconf.enable = true;
  };
}
