{ config
, pkgs
, lib
, ...
}:

let
  inherit (lib) mkEnableOption mkIf mkOption types;

  cfg = config.my.programs.gitbutler;
in
{
  options.my.programs.gitbutler = {
    enable = mkEnableOption "gitbutler";
    package = mkOption {
      default = pkgs.callPackage ./package.nix { };
      type = types.package;
    };
  };

  config = mkIf cfg.enable {
    environment.systemPackages = [ cfg.package ];
  };
}
