{ pkgs, lib, inputs, ... }:

with builtins;
{
  config.home-manager.users.moritz.programs.neovim.lazy.plugins = with pkgs.vimPlugins; [
    {
      plugin = which-key-nvim;
      lazy = false;
      conf = readFile ./lua/which-key-nvim.lua;
    }
    {
      plugin = catppuccin-nvim;
      conf = readFile ./lua/catppuccin-nvim.lua;
      lazy = false;
      priority = 99;
    }
    {
      plugin = todo-comments-nvim;
      dependencies = [{ plugin = plenary-nvim; }];
      opts = { };
    }
    {
      plugin = dressing-nvim;
      event = [ "VeryLazy" ];
    }
    {
      plugin = gitsigns-nvim;
      event = [ "BufReadPost" "BufNewFile" ];
      conf = readFile ./lua/gitsigns-nvim.lua;
      dependencies = [{ plugin = which-key-nvim; }];
    }
    {
      plugin = pkgs.vimUtils.buildVimPlugin {
        pname = "hawtkeys-nvim";
        version = lib.my.mkVersionInput inputs.hawtkeys-nvim;
        src = inputs.hawtkeys-nvim;
      };
      cmd = [ "Hawtkeys" "HawtkeysAll" "HawtkeysDupes" ];
      opts = { };
      dependencies = [
        { plugin = plenary-nvim; }
        { plugin = nvim-treesitter; }
      ];
    }
  ];
}
